/** 
 *  _   _        _  _                           _             
 * | |_| |  ___ | || |  ___   __ _  _ __  _ __ (_)  ___  _ __ 
 * |  _  | / _ \| || | / __| / _` || '__|| '__|| | / _ \| '__|
 * | | | ||  __/| || || (__ | (_| || |   | |   | ||  __/| |   
 * |_| |_| \___||_||_| \___| \__,_||_|   |_|   |_| \___||_|   
 * 
 *  (c) 2001 Free Lunch Design, Teknisk-IT, AerotechTelub
 *			  http://www.freelunchdesign.com
 * 
 * This source code is released as is under GPL (General Public
 * License). Please refer to license.txt for more information.
 * 
 */
 
#ifndef _SMOKE_H_
#define _SMOKE_H_

#include "allegro.h"
#include "main.h"
#include "object.h"

class smoke : public object{
public:
	COLOR_MAP *cmap;
	int col;
	int cstep;
	int life;
	double size;
	double sstep;
	double sx, sy;

	smoke(COLOR_MAP *cm, int x, int y, int sc, int cst, int sz, double sst);
	~smoke();
	void set_speed(double xv, double yv);
	void update();
	void evaluate_AI() {};
	bool add_object(object *o) { return FALSE; };
	void empty(class mission *m) {};
	void save(PACKFILE *fp) {};
	void load(PACKFILE *fp) {};
	void draw(BITMAP *bmp, DATAFILE *gfx, fixed ca, bool shadow);
	void set_from_file(char* fname) {};
};



#endif